Update a menu item

Path Parameters
  • menuId
    Type: integer
    required

    Menu item ID

Body·
required
application/json
  • name
    Type: string
    required

    Display name of the menu item

  • spaceId
    Type: integer
    required

    ID of the space this menu item belongs to

  • categories
    Type: array integer[]

    IDs of categories allowed to see this menu item

  • color
    Type: string

    Display color for the menu item in hex format (e.g. #FF5733)

  • content
    Type: string

    Link URL or custom content (for type 'link')

  • customModuleId
    Type: integer

    ID of the custom module the menu item is bound to

  • display
    Type: boolean

    True if the menu item should be displayed, false otherwise

  • entityId
    Type: integer

    ID of the entity the menu item points to

  • icon
    Type: string

    Icon identifier for the menu item

  • modified
    Type: string Format: date-time

    Timestamp of the last modification of the menu item

  • module
    Type: string

    System name of the module the item links to (for type 'module')

  • order
    Type: integer

    Sort order of the menu item within its level

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for put/menu/{menuId}
curl https://test.boost.space/api/menu/1 \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "createdUserId": 42,
  "updated": "2026-01-15T09:30:00Z",
  "updatedUserId": 42,
  "modified": "2026-01-15T09:30:00Z",
  "entityId": 42,
  "parentId": 42,
  "customModuleId": 42,
  "spaceId": 42,
  "type": "module",
  "module": "string",
  "view": "string",
  "content": "string",
  "target": "string",
  "order": 1,
  "name": "Sample name",
  "color": "#1f6feb",
  "icon": "string",
  "display": true,
  "users": [
    1
  ],
  "teams": [
    1
  ],
  "categories": [
    1
  ]
}'
{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "createdUserId": 42,
  "updated": "2026-01-15T09:30:00Z",
  "updatedUserId": 42,
  "modified": "2026-01-15T09:30:00Z",
  "entityId": 42,
  "parentId": 42,
  "customModuleId": 42,
  "spaceId": 42,
  "type": "module",
  "module": "string",
  "view": "string",
  "content": "string",
  "target": "string",
  "order": 1,
  "name": "Sample name",
  "color": "#1f6feb",
  "icon": "string",
  "display": true,
  "users": [
    1
  ],
  "teams": [
    1
  ],
  "categories": [
    1
  ]
}